
Foreman - Bug #1470

Hosts with No Reports has a negative number

01/24/2012 11:00 AM - Jacob McCann

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category:    

Target version: 1.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

From time to time the 'Hosts with No Reports' field on my dashboard will report that a negative number of hosts has no reports. 

When you click the link to get a listing of those hosts there are none ... usually it will get back to 0 hosts.  Right now its been sitting at

around '-100' (its been fluctuating) for about an hour though.

Let me know if any additional information can be gathered to help identify the issue.

Associated revisions

Revision 2f9c53ab - 11/15/2012 06:56 AM - Joseph Magen

fixes #1470 hosts with no report should not be negative

History

#1 - 04/27/2012 02:49 PM - Jason Barnett

I have this exact problem. It used to go away, but lately it's been stuck with a negative number.

#2 - 06/13/2012 05:10 AM - Mattias Winther

It seems that this is due to the host filter "not has last_report". At a glance, it doesn't work correctly with facts.<factname> either. Maybe something

wrong with the general logic for "not has", then?

#3 - 11/13/2012 12:02 PM - Greg Sutcliffe

- Target version set to Bug scrub

#4 - 11/15/2012 04:17 AM - Joseph Magen

- Status changed from New to Assigned

- Assignee set to Joseph Magen

#5 - 11/15/2012 04:48 AM - Joseph Magen

- Status changed from Assigned to Closed

Fixed in https://github.com/theforeman/foreman/pull/243

#6 - 11/15/2012 04:53 AM - Joseph Magen

- Status changed from Closed to Ready For Testing

#7 - 11/15/2012 07:04 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 2f9c53ab626c965181bd393729bc0c81d372181a.
